org.springframework.scheduling.aspectj

## Class AspectJAsyncConfiguration

- java.lang.Object
- - org.springframework.scheduling.annotation.AbstractAsyncConfiguration
  - - org.springframework.scheduling.aspectj.AspectJAsyncConfiguration

All Implemented Interfaces:
  org.springframework.beans.factory.Aware, org.springframework.context.annotation.ImportAware

    @Configuration
     @Role(value=2)
    public class AspectJAsyncConfiguration
    extends org.springframework.scheduling.annotation.AbstractAsyncConfiguration

`@Configuration` class that registers the Spring infrastructure beans necessary to enable AspectJ-based asynchronous method execution.

Since:
  3.1
Author:
  Chris Beams, Stephane Nicoll, Juergen Hoeller
See Also:
  `EnableAsync`, `AsyncConfigurationSelector`, `ProxyAsyncConfiguration`

### Field Summary

### Fields inherited from class org.springframework.scheduling.annotation.AbstractAsyncConfiguration

`enableAsync, exceptionHandler, executor`

### Constructor Summary

Constructors
Constructor and Description
`AspectJAsyncConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.springframework.scheduling.aspectj.AnnotationAsyncExecutionAspect` `asyncAdvisor()`

### Methods inherited from class org.springframework.scheduling.annotation.AbstractAsyncConfiguration

`setImportMetadata`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AspectJAsyncConfiguration

    public AspectJAsyncConfiguration()

### Method Detail

#### asyncAdvisor

    @Bean(name="org.springframework.scheduling.config.internalAsyncExecutionAspect")
     @Role(value=2)
    public org.springframework.scheduling.aspectj.AnnotationAsyncExecutionAspect asyncAdvisor()